「MOD解説/MinecraftForge」の編集履歴(バックアップ)一覧はこちら

MOD解説/MinecraftForge」の最新版変更点

追加された行はこの色になります。

削除された行はこの色になります。

 |MIDDLE:BGCOLOR(lightblue):MOD名|Minecraft Forge|
 |MIDDLE:BGCOLOR(lightblue):製作者|LexManos、Forge team|
 |MIDDLE:BGCOLOR(lightblue):配布場所|[[Forge File Server>http://files.minecraftforge.net/]]&br()|
 |MIDDLE:BGCOLOR(lightblue):関連サイト|MinecraftForge公式フォーラム:[[Minecraft Forge Forums>http://minecraftforge.net/]]|
 |MIDDLE:BGCOLOR(lightblue):競合MOD|下記参照|
 
 
 #region(Minecraft1.4.7~1.5.2の使用classファイル)
 |MIDDLE:BGCOLOR(lightblue):使用class&br()※7.8.1.737での使用classファイル&br()1.5.2用|aab aak aal aan aav aaz aba abw acj acn acr acu acv acy acz adb adc adh adl adq adt&br()adu adv adw aec aed aee aef aen afq afr afv agb agf agk ahb ahl ahm ahp aim ait ajl&br()aj ajt ajv alb alc alh ali alj aln alq alu amc ami aml amt amp amz ana anc ane anf&br()anl ann ano ant anz aoe aoh aok aom aor aow aoz apa apg aph apj apk apl apn apw apx&br()aqg aqp aqt ara aus avy awl awo awu aww axt ayd ayl ayy b bcd bcg bct bdd bdi bdk&br()bdn bdq bdr bds bel beu bff bfj bfm bfq bfx bfy bgd bge bgf bgy bhg bhi bho bht bhy&br()bil bim bio biq bir bis bit biv bjg bjj bkc bke bkf bkg bki bkn bp ca cc ch ci cx dt&br()dv dz ei ej gu hz if it ix iy iz j jc jd je jf jh jk kf kh kl lp m ml mp mv ng qe ql&br()qm qo qv qz rh ri rk rl rm rn rv sg sm so sq t td tn to tt tw tx ua ug uk ul uo up&br()uq uw uy ve vr vt vv wj wk wl wm wo wp xc xd xe xn y ye yg yk yz zb zw(231個)|
 |MIDDLE:BGCOLOR(lightblue):使用class&br()※7.7.1.662での使用classファイル&br()1.5.1用|aab aal aan aaq aav aaz aba abw acj acn acr acu acv acy acz adb adc adh adl adq adt&br()adu adv adw aec aed aee aef aen afq afr afv agb agf agk ahb ahl ahm ahp aim ait ajl&br()ajp ajt ajv alb alc alh ali alj aln alq alu amc ami aml amp amz ana anc ane anl ann&br()ano aoe aoh aok aom aor aow apa apg aph apj apk apl apn apw apx aqg aqp aqt ara aus&br()avy awl awo awu aww axt ayd ayl ayy b bce bch bcu bde bdj bdl bdo bdr bds bdt bem&br()bev bfg bfn bfr bfy bfz bge bgf bgg bgz bhh bhj bhu bhz bin bim  bip bir bis bit biu&br()biw bjh bjk bkd bkf bkg bki bkn bp ca cc ch ci cx dt dv dz ei ej gu hz if it ix iy iz&br()j jc jd je jf jh jk kf kh kl lp m ml mp mv ng ql qm qo qv qz rh ri rk rl rm rn rv sg&br()sm so sq td tn tt to tw tx ua ug uk ul uo up uq uw uy ve vr vt vv wj wk wl wm wo wp xc&br()xd xe xn y ye yg yk yz zb zw(220個)|
 |MIDDLE:BGCOLOR(lightblue):使用class&br()※6.6.0.518での使用classファイル&br()1.4.7用|a aam aaq aax abb abc abf abk abo abt abw abx aby abz acf acg ach aci acq adt adu&br()ady aee aei aen afe afo afp afs agp agw ahn ahr ahv ahx aje ajf ajg ajk ajn ajq ajx&br()akb akc akf akj aks akt akv akx ale alg alh alr als alv aly ama amc ami amm amq amw&br()amx amz ana anb and ank anl anr any aoa aoh arn ast atg atj atp atr aun avf avs axa&br()axd axq aya ayf ayh ayn ayk ayo ayp azi azr bac baj ban bau bav baz bba bbb bbu bcc bce&br()bco bct bde bdf bdh bdi bdj bdk bdl bdm bdo bds bdz bec bev bex bey bez bn ca cf cg cr&br()ct cv dw ef eg fq gm ho hu i ii il im in iq ir is it iv iw jq jt kw lm lq lv md pb pc&br()pe pl pp px py qo qu qx sd se sq sr sv tb bd tj tw ty ua uo up uq ut uu vg vh vi vq&br()wh wj wn x xc xe xx yc yn yp ys yy zc zd zz(194個)|
 #endregion
 ----
 #contents
 ----
 
 
 *このMODについて
 前提MOD。MODの開発および導入に際して要求頻度の高い様々な機能を、包括的に提供するAPI。
 現在はマルチ対応やTerrainID・EntityID・BlockID・ItemIDの消費量の抑制の為などに、多くのMODが前提に【MinecraftForge】を利用する。
 様々な機能を持つ高度複雑なMODであり、MOD製作者・使用者共にForgeを理解していないと不具合を誘発させる。
 最低限、導入までは自分で解決出来なければ扱うのは難しい。
 MOD導入時のエラーや不具合の解決の糸口になるものは、「[[基本事項および導入手順>MOD]]」で解説されているので活用しよう。
 200個以上もの既存classファイルを書き換えるので他MODとの競合が非常に起きやすい。Forgeを前提としないMODとは高確率で競合する。
 →このページの[[相性問題>#forgeinfo]]を参照。
 //【MinecraftForge】を前提に使用せず、Minecraft.jarに直接導入するMODとは非常に相性が悪い。
 //&font(blue){しかし、OptiFineやWorldOptimizerなどの比較的有名なMODの場合、Forgeに対する対策を取っている場合が多くその場合には共存出来る。&br()共存させる場合、MinecraftForgeのバージョンや、jar書き換えのMODの導入順に注意すること。未対策のバージョンを使用するとやはり競合する。}
 //現在の【MinecraftForge】ではcoremodsフォルダの統合などが進み、【OptiFine】【PlayerAPI】などの前提MODもmodsフォルダに入れれば機能するようになっている。
 Demo版に入れるとプレミアムアカウントでログオンしたようになる。
 
 **Universal
 シングルの内部的なマルチ化の影響を受けてClient版とServer版を統合したUniversal版を提供するようになった。
 Universal版はClient版とServer版を兼用するもので、シングル・マルチのどちらの導入にも使用できる。
 このMinecraft ForgeのUniversal化に伴って、【Minecraft Forge】を前提にする殆どのMODがUniversal化している。
 
 **Recommended / Latest
 【Minecraft Forge】は非常に更新頻度が高く、機能の追加・調整が頻繁に行われている。
 その為、バグや不具合をある程度修正した安定版(Recommended)と、最新の状態である最新版(Latest)の2種類が用意されている。
 普段はRecommended版を使用していれば問題ないが、β版や【Minecraft Forge】の最新の機能を利用するMODにはLatest版が求められていることもある。
 (公式Recommendedにもバグが残っている事があり、修正されたものを探す以上のことをするには英語フォーラムを読む意気込みが必要。)
 また、MODによって要求する【Minecraft Forge】のバージョンが異なる場合は、基本的に後方互換性があるため、一番要求するバージョンの高いものを利用すればよい。
 &color(red){Latest版では一部MODが動作しなかったり、重度のバグや開発中で不安定な機能もあったりするので自己責任で。}
 
 **Installer(7.8.0.684~ / Minecraft 1.5.2~)
 1.5.2から新ランチャーになった事やフォルダ構成が大幅に変更されたことによって従来のjar上書きタイプから専用のInstallerを使用する形式に更新された。
 Installerは.exeではなく.jarなので[Java(TM) Platform SE binary]などで開く必要がある。
 また、1.5.1以前にはInstallerは付属していないので、新ランチャーかつ1.5.2以前のバージョンでプレイする場合は手動で導入する必要がある。
 ※UniversalではなくInstallerの方をダウンロードする。
 
 9.11.1.960(Minecraft1.6.4)からwindows限定ではあるが、exeタイプのInstallerが用意され、導入が容易になった。
 
 
 &font(b,blue){Javaが最新でないと上手く起動しない例が報告されているので、起動しない場合はJavaを更新してみるのも手}※ただしJava8にする場合は少し下の文章を参考すること。
 &font(b,blue){それでもうまくいかない場合は、ForgeforumのEAQで指摘されているjarfixというプログラムを使ってみるとよい}
 
 &font(b){&font(red){もし起動しない場合、プロフィールの【JVM Arguments】にチェックを付けて、”-Xmx1G”を削除またはその後に続けて&br()”-Dfml.ignoreInvalidMinecraftCertificates=true -Dfml.ignorePatchDiscrepancies=true”または"-Dforge.forceNoStencil=true"を貼り付けてセーブすると起動する場合がある。}}
 
 **Java 8環境での注意点
 現在のJavaの最新版である&bold(){Java 8}ではJavaの仕様変更の関係で、1.7.10か1.8以降の【Minecraft Forge】しか起動できない場合がある模様で、&bold(){Java 8では1.6.4以下の【Minecraft Forge】が使えない場合がある}。
 Java 8で起動できない場合、1.6.4以下で【Minecraft Forge】を導入したい場合はJavaのバージョンを&bold(){Java 7}にする必要がある。ただし、セキュリティリスクが高いため、自己責任でダウングレードするか、Java 8と共存させること。
 共存時はLauncherのProfile編集のExecutableでJava 7を指定する必要がある。例えば、Java 7の64bit版でインストールする場所を、初期設定の場合は「C:\Program Files\Java\jre7\bin\javaw.exe」となる。
 インストール場所を変更している場合(Dドライブ等)はjre7フォルダ内のbinフォルダにある「javaw.exe」を指定するパスを入力すればいい。この時「java.exe」を指定しないように注意すること。
 
 &font(red,b){1.6.4では最新版の9.11.1.1345を使えばJava 8でも使用できる}
 #region(どうしても1.6.4-9.11.1.965や1.7.2環境でプレイしたい人向け)
 Minecraft Forge 非公式Java 8対応化パッチ
 http://www.minecraftforum.net/forums/mapping-and-modding/minecraft-mods/2206446-forge-1-6-4-1-7-2-java-8-compatibility-patch
 &bold(){導入手順}
 ※非公式パッチなので自己責任で行うこと。
 0.上のリンクからCoreModManager.classをダウンロードする。
 1.1.7.2⇒%appdata%/.minecraft/librares/net/minecraft/minecraftforge/forge/forge-1.7.2-(バージョン)/
   1.6.4⇒%appdata%/.minecraft/librares/net/minecraft/minecraftforge/minecraftforge/forge-1.6.4-9.11.1.965/
    にあるforge-(バージョン).jarを7zip等で開く
 2.中のMETA-INFフォルダを削除する
 3.forge-(バージョン).jar/cpw/mods/fml/relauncher/にCoreModManager.classを入れる。
 4.Java 8でMinecraftが起動できたら成功。
 #endregion
 *対応環境
 &font(b,red){◆Minecraft 1.12}
 -12.16.0.1766 ~ 14.21.1.2424(最新公式Recommendedは&color(blue){14.21.1.1287})
 
 &font(b,red){◆Minecraft 1.11.2}
 -12.16.0.1766 ~ 13.20.1.2425(最新公式Recommendedは&color(blue){13.20.1.2386})
 
 &font(b,red){◆Minecraft 1.11}
 -12.16.0.1766 ~ 13.19.1.2199(最新公式Recommendedは&color(blue){13.19.1.2189})
 
 &font(b,red){◆Minecraft 1.10.2}
 -12.16.0.1766 ~ 12.18.3.2422(最新公式Recommendedは&color(blue){12.18.3.2185})
 
 &font(b,red){◆Minecraft 1.10}
 -12.16.0.1766 ~ 12.18.0.2000
 
 &font(b,red){◆Minecraft 1.9.4}
 -12.16.0.1766 ~ 12.17.0.2051(最新公式Recommendedは&color(blue){12.17.0.1976})
 
 &font(b,red){◆Minecraft 1.9}
 -12.16.0.1766 ~ 12.16.1.1887(最新公式Recommendedは&color(blue){12.16.1.1887})
 
 &font(b,red){◆Minecraft 1.8.9}
 -11.15.0.1656 ~ 11.15.1.2318(最新公式Recommendedは&color(blue){11.15.1.1722})
 ※ただし、11.15.1.1722にはホッパーに関する不具合が存在する。この不具合は、11.15.1.1724で修正されているため、それ以降のバージョンを利用することが推奨される。
 
 &font(b,red){◆Minecraft 1.8.8}
 -11.14.4.1575 ~ 11.15.0.1655
 
 &font(b,red){◆Minecraft 1.8}
 -11.14.0.1237 ~ 11.14.4.1577 (最新公式Recommendedは&color(blue){11.14.4.1563})
 
 #region(過去の対応環境)
 &font(b){◆Minecraft 1.7.10}
 -10.13.0.1150 ~ 10.13.4.1614 (最新公式Recommendedは&color(blue){10.13.4.1558})
 
 &font(b){◆Minecraft 1.7.2}
 -10.12.0.967 ~ 10.12.2.1147 (最新公式Recommendedは&color(blue){10.12.2.1121})
 
 &font(b){◆Minecraft 1.6.4}
 -9.11.0.879 ~ 9.11.1.1345 (最新公式Recommendedは&color(blue){9.11.1.1345})
 
 &font(b){◆Minecraft 1.6.3}
 -9.11.0.873 ~ 9.11.0.878
 
 &font(b){◆Minecraft 1.6.2}
 -9.10.0.776 ~ 9.10.1.871 (最新公式Recommendedは&color(blue){9.10.1.871})
 
 &font(b){◆Minecraft 1.6.1}
 -8.9.0.753 ~ 8.9.0.775
 
 &font(b){◆Minecraft 1.5.2}
 -7.8.0.684 ~ 7.8.1.738 (最新公式Recommendedは&color(blue){7.8.1.737})
 
 &font(b){◆Minecraft 1.5.1}
 -7.7.0.600 ~ 7.7.2.682 (最新公式Recommendedは&color(blue){7.7.2.678})
 
 &font(b){◆Minecraft 1.5}
 -7.7.0.559 ~ 7.7.0.598 (最新公式Recommendedは&color(blue){7.7.0.582})
 
 &font(b){◆Minecraft 1.4.7}
 -6.6.0.490 ~ 6.6.2.534 (最新公式Recommendedは&color(blue){6.6.0.497})
 
 &font(b){◆Minecraft 1.4.6}
 -6.5.0.451 ~ 6.5.0.489 (最安定版は&color(blue){6.5.0.48x}、公式Recommendedの6.5.0.471ではバグがある)
 
 &font(b){◆Minecraft 1.4.5(Minecraft1.4.5b)}
 -6.4.0.390 ~ 6.4.2.448 (最安定版は&color(blue){6.4.2.445}、オートアサイン機能なしなら6.4.0.397)
 #endregion
 
 &anchor(InstallationSSP)
 *Minecraft Forgeの導入方法
 **シングルプレイ
  &font(b,red){最低限、このページや[[基本事項および導入手順>MOD]]を全て読んでから始めること。}
 +バニラ状態で一度Minecraftを起動し、該当バージョンのバニラ環境を作成しておく。
 +[[MinecraftForge(installer)>http://minecraftforge.net/forum/index.php/board,3.0.html]]をダウンロード(目的のVerをDLできない場合は、[[Forgeのファイルサーバー>http://files.minecraftforge.net/]]から探すこと)
 +ダウンロードしたinstallerを起動する。&br()普段7-Zipなどを使っている場合は、右クリック→プログラムから開く→[Java(TM) Platform SE binary]を選択する。
 +デフォルトではInstall clientが選択されているのでそのままOKをクリックし、インストールする。&br()また、Forge環境で必要なライブラリはこの時点でダウンロードされる。&br()必要であれば、インストール先のフォルダを変更する。
 +Minecraft.exeを起動し、"Forge"というプロフィールが追加されている。
 +必要であればプロフィールの"Game Directory"を編集する。&br()この作業をした場合、指定したフォルダにこのプロフィール専用のmodsフォルダやsaveフォルダ等が作成されるのでプロフィールごとの使い分けが出来る。→[[この機能を利用した分かり易い外部説明>http://note.chiebukuro.yahoo.co.jp/detail/n262902]]
 +全ての設定が終了したらプロフィールをセーブしてログインする。&br()Forge環境の必要フォルダが指定されている場所に自動生成される。タイトル画面まで進めたのを確認したら導入成功。
 
 &color(blue){注意点}
 -"Game Directory"で指定した場合、config、resourcepacksフォルダも同じ場所に作成される。
 -&font(b,red){ver1.6.2以前で、導入するMODが【ModLoader】【AudioMod】などを要求していても導入してはいけない。}&br()Forgeを使用して導入すると失敗する場合は諦めよう。
 
 #region(旧ランチャー.~1.5.1の導入方法)
 +[[MinecraftForge(Universal)>http://minecraftforge.net/forum/index.php/board,3.0.html]]をダウンロード(目的のVerをDLできない場合は、[[Forgeのファイルサーバー>http://files.minecraftforge.net/]]から探すこと)
 +データを入れる.jarファイル((ユーザ名)\AppData\Roaming\.minecraft\versions\(目的のMinecraftのバージョン))を探す。&br()Appdataはファイル名を指定して実行(デスクトップでWindowsキー+R)で%appdata%と打てば見つかる。&br()旧ランチャーの場合はminecraft.jar((ユーザ名)\AppData\Roaming\.minecraft\bin)となる。
 +.jarファイルを展開ソフト(7-Zipなど)で開く。実際に展開するわけではない。展開しようとするとWindowsの仕様でaux.classが存在すると展開できない。
 +MinecraftForge(universal)を展開。中身全部を.jarファイル内にドラッグ。書庫に入れていいか聞かれるのでOKを選択。&br()&font(b,red){他MODがそれを要求していても、.jarファイルにModLoader、AudioMODは導入しない。}
 +&font(red){.jarファイル内のMETA-INFフォルダを削除。MinecraftForge(Universal)のドラッグ&font(b){後}に行うこと。}
 +展開していたjarを閉じ、Minecraft.exeを起動。Forge用の新しいプロフィールが追加されているのでそのプロフィール選択。
 +playを選択するとForge環境の必要ファイルが自動DL+フォルダが自動生成される。タイトル画面まで進めたのを確認したら導入成功の証。
 #endregion
 
 &anchor(InstallationSMP1)
 **マルチプレイ(他人のサーバーにログインして遊ぶ場合)
 +上記の手順に従って、シングルプレイ用にMinecraftForgeを導入する。
 +対象のサーバーにログイン。&br()ただしこの際、サーバーもしくは環境にMODを入れていてそれがクライアントMODでない場合、サーバー側に同様のMODもしくは環境にサーバーと同様のMODが入っている必要があります。&br()要するに、&bold(){OptiFineなら大丈夫ですがブロック追加系MODはサーバーと揃えて下さい。}
 
 &anchor(InstallationSMP2)
 **マルチプレイ(自分でサーバーを建てる場合)
 &font(b,red){最低限、このページや[[基本事項および導入手順>MOD]]を全て読んでから始めること}
 minecraft_server.jarのDL方法や、MOD導入以前の初期設定の仕方については[[サーバー]]を参照して下さい。
 そもそもサーバー建てが初めての場合は、いきなりMODを導入せずに、バニラの状態で問題なく動作するかを確認する事をおすすめします。
 
 +建てたいバージョンのForgeのインストーラーを[[Forgeのファイルサーバー>http://files.minecraftforge.net/]]よりダウンロードします。
 +ダウンロードしたインストーラを起動します。&br()普段7-Zipなどを使っている場合は、右クリック→プログラムから開く→[Java(TM) Platform SE binary]を選択して下さい。
 +「Install server」を選択し、インストール先のフォルダを指定してOKをクリックし、インストールします。&br()(minecraft_server.(Minecraftのバージョン).jarがない場合はインストーラー側でダウンロードされます。&br()また、Forge環境で必要なライブラリはこの時点でダウンロードされます)
 +batファイルを作成します。書き込む内容は[[下記参照>MOD解説/MinecraftForge#InstallationSMP2-script-bat]]。
 +一度サーバーを起動。Forge環境の必要フォルダ及びeula.txtが自動生成され、サーバーが終了します。
 +eula.txt及びそれに記載された&bold(){URLの先を熟読し、EULAに同意します。}(elua=trueに変更をします)&br()なお、EULAの同意は、バニラでそのような変更があったため1.7.10より行わなくてはならなくなりました。
 +EULAに同意した後、もう一度サーバーを起動をします。エラーが出なければ作成完了です。
 &anchor(InstallationSMP2-script-bat)
 &bold(){batファイル(Windows)}
  @echo off
  java -Xms1024M -Xmx1024M -jar forge-###-universal.jar
  pause
 ※###はそれぞれのバージョンによるため、実際のForgeサーバーjarを指定して下さい。
 ※注意 minecraft_server.jarの代わりにを&bold(){Forgeのjarの方を指定してなければForgeサーバーは起動しません。}(例:forge-1.9-12.16.0.1817-1.9-universal.jar)
 詳細もしくは他OSは、[[起動用スクリプト>サーバー/技術的情報集#id_7b0438b3]]を参照して下さい。}
 
 ここからは、各自でMODを入れましょう。
 ただし、OptiFine等の&bold(){クライアントMODを入れてしまうとエラーで起動することが出来ません}。
 また、サーバーに入ってくる人のMOD(クライアントMODでないブロック追加系MOD等)と&bold(){サーバーのものを揃える必要があり}、configも同様に揃える必要があります。
 そして、&bold(){&italic(){その際には必ず公式配布サイトよりダウンロードさせて下さい}}。でなければ、二次配布となってしまうため規約違反になることが多いです。
 
 また、この手順を踏んだ際、他のMODをminecraft_server.jarに導入できるかは不明です(Forge環境下でサーバー側のjarに直接導入するMODはほぼないですが)。
 試してみなければわかりません。
 
 サーバー管理者はこれらを留意して下さい。
 
 ***ForgeサーバーへのクライアントMODの導入について
 非公式フォーラム等でもよくある質問ですが、&bold(){ForgeサーバーにはクライアントMODの導入はできません。}
 (クライアントMODとはクライアント依存のクラスを用いているMODのこと、サーバーにはクライアントにあるクラスが無いために動くことができません)
 なお、1.10.2でクライアントMODを導入した場合、以下のエラーが出て飛ばされ(読み込まれず)サーバーは落ちることはない模様です。
 落ちることが無いからと言って残すのもおかしいので、&bold(){必ずクライアントMODはForgeサーバーのmodsから削除して下さい。}
  [Server thread/INFO] [FML/]: Disabling mod #### it is client side only.
  [Server thread/DEBUG] [FML/]: Skipping mod ####, container opted to not load.
 
 しかし、&bold(){1.7.10等古いForgeサーバーではサーバーが落ちてしまうので、クライアントMODの導入はしないで下さい。}
 ****クライアントMODの例
 ・OptiFine
 ・Minimap系MOD
 ・日本語変換MOD
 など
 
 #region(旧ランチャー.~1.5.1の導入方法)
 +[[MinecraftForge(universal)>http://minecraftforge.net/forum/index.php/board,3.0.html]]をダウンロードしておくこと。(目的のVerをDLできない場合は[[こちら>http://files.minecraftforge.net/]]から}&br()シングルプレイと同じファイルを使用するので、シングルプレイ用にダウンロードしていた場合はそちらを使ってもよい。
 +以下2つのどちらかの方法でMinecraftForgeを導入する。
 ++直接導入する場合(従来の方法)
 +++&b(){minecraft_server.jar}を.jarファイルの展開ソフト(7-Zipなど)で展開。
 +++シングル版のminecraft.jarでの手順と違い、minecraft_server.jar内のMETA-INFフォルダは&b(){削除しない。}
 +++MinecraftForge(Universal)を展開。中身全部をminecraft_server.jarの中にドラッグ。書庫に入れていいか聞かれるのでOKを選択。
 +++必要ならば更に【PlayerAPI】など、【Minecraftforge】より後に導入する事を要求されているMODも導入する。
 +++一度サーバーを起動。Forge環境の必要ファイルが自動DL+必要フォルダが自動生成される。エラーが出なければ導入完了。
 ++【Minecraft Forge】の機能を使って導入する場合
 +++minecraft_server.jarとminecraftforge-universal-(Minecraftのバージョン)-*.*.*.***.zipを同じ場所に配置。
 +++minecraftforge-universal-(Minecraftのバージョン)-*.*.*.***.zipをminecraftforge-universal-(Minecraftのバージョン)-*.*.*.***.&b(){jar}にリネーム。
 +++batファイルを作成し、minecraft_server.jarの&bold(){代わりに、minecraftforge-universal-(Minecraftのバージョン)-*.*.*.***.jarを指定する。}
 +++一度サーバーを起動。Forge環境の必要ファイルが自動DL+必要フォルダが自動生成される。エラーが出なければ導入完了。&br()この手順を踏んだ際、他のMODをminecraft_server.jarに導入できるかは不明(Forge環境下でサーバー側のjarに直接導入するMODはほぼないが)
 #endregion
 
 *機能
 **Forge ModLoader(FML(3.2.5.125~)) Mod導入支援機能
 MinecraftForge用にマージされたModLoaderで、【ModLoader】とほぼ同じ働きをする。
 稀にFMLではエラーを起こすMODも存在する。
 この機能が内包されてから、【ModLoader】を必要としなくなり、【ModLoader】とは併用できなくなった。
 
 :追加機能|
 -【ModLoader】を前提とするMODを導入可能にする。
 .minecraft(Game Directory)/mods/(Minecraftのバージョン) 以下にMODの.zipファイルか.jarファイルを置けば大体機能する。
 -設定とワールド間のIDについて調合性を確認する。
 cfgファイルで設定されているBlockID・ItemIDとワールド内のBlockID・ItemIDが一致しない場合に、ワールドに入る前に警告する。
 警告を無視して(あるいは理解した上で)そのままワールドに入るとブロックやアイテムが別のものに変化したり、消失したりする。
 &font(blue,b){BlockIDやItemIDの一覧を出力したり競合を回避したりする機能ではない。}
 IDを出力するMODは[[こちら>MOD解説/ID競合防止支援MOD]]で詳しく解説されている。
 
 :Forge対策されていないModLoader用のMODの誤動作について|
 Entityの取り扱い
 -ModLoder用のMODはEntityID128以降に対応していない為に発生する問題&br()修正パッチ:http://forum.minecraftuser.jp/viewtopic.php?t=2150
 
 &anchor(407)
 **オートアサイン機能(6.4.1.400~)
 BlockID・ItemIDの自動移送機能。
 &font(red,b){BlockID ~255 を出来るだけ使用しない様にするのが目的}なので、この機能によってID Resolverの様に完全に競合を回避出来る訳ではない。
 
 :追加機能|
 MOD導入時に初回ログインした時に、以下の法則に従って自動的に変更する。
 -BlockID ~255 に追加されるのを確認した場合、BlockID 4095(拡張BlockID領域の末尾)から逆順に追加し直す。
 -移送したBlockIDに対応するアイテムを同番号のItemIDに移送する
 -~255に追加する必要のあるブロック(主に地形生成に使用されるブロック)は移送しない。
 -この機能に対応していないMODのBlockIDは一切移送しない。
 -同番号のItemIDが既に埋まっている場合、そのBlockIDには移送しない。
 
 :注意点|
 -BlockIDの競合を回避するのではなく~255を使用しない為の移送なので競合を回避する機能ではない。&br()その為、起動時に移送しないブロック同士では普段通り競合する。
 -cfgファイル生成時に一括して移送する為、初回以外では移送しない(= 既にcfgファイルがある場合はオートアサイン機能が働かない)
 -cfgファイル生成後、手動でBlockIDを変更してもItemIDは変更されない。
 -&font(b,red){コンフィグファイルを作り直すと使用BlockID・ItemIDが大きく変更されるので、既存ワールドとの整合性が取れなくなり新しいワールドを作らざるえなくなる。}&br()一応手動でIDを元に戻せばログインできるが、膨大な手間がかかる。
 -オートアサイン後に、デフォルトでBlockID 4090前後を使うMODを導入すると競合する(どちらかのMODのBlockIDをコンフィグで移動すれば回避はできる)
 
 **動的難読化解除機能(7.7.0.559~)
 -今までMinecraftのバージョンが変わるごとに内部クラス名が変わっていてMODを導入し直さなくてはならなかったが&br()Minecraft 1.5以降のForgeModLoaderもしくはMinecraftForge対応かつ特定の条件(MOD開発者がreobfucated_srgで出力している)を満たしている場合に、ほぼそのまま動作するようになった。
 
 :注意点|
 -後のバージョンで作られたMODを前のバージョンで使う場合に機能が足りなくて使えない場合がある。
 -ModLoader用環境からreobfuscated_srgを使用していたMODの一部がパッケージの関係で動かない場合があるほか、当然ながらModLoader環境では使用できない。
 
 **その他付属する機能
 :BlockID 拡張サポート|
 バニラでは0~255までしか使えないBlockIDを4095まで使用出来る様に拡張する。
 
 :音楽ファイルの再生サポート|
 Risugami氏の【AudioMOD】と同じ働きをする機能。【AudioMOD】の代用として使用できる。
 
 :HD Textures|
 x128までのテクスチャをサポートしている。それ以上は【OptiFine】を使用してくださいとのこと。
 &font(red){【HD Font】をサポートしていないので注意}
 
 :導入MOD一覧|
 導入しているMODを一覧として見れるボタンをスタート画面に追加する。
 
 :Minecraft Coder Pack(MCP)|
 MOD製作の為の支援ツールおよびスクリプトのこと。
 6.0.1よりMCPの情報が内包される様になった。導入MOD一覧には出力されるが、アイテムやブロックなどを追加する事はない。
 
 
 *導入後のフォルダ構成
 導入後にMinecraftを起動すると、新しくフォルダが作成される。
  --バニラで起動してワールドに入った状態のフォルダ--
  
  .minecraft
   ├ assets
   ├ crash-reports-(1度でもminecraftがクラッシュすると生成)
   ├ saves
   ├ screenshots-(1枚でもスクリーンショットを撮ると生成)
   ├ stats
   ├ resourcepacks
   ├ versions
     ├ (Minecraftのバージョン)
       ├(Minecraftのバージョン).json
       └ (Minecraftのバージョン).jar
  
  --MinecraftForge導入後に起動して追加されるフォルダ--
  
     └ (Minecraftのバージョン)-Forge(Forgeのバージョン)
-      ├(Minecraftのバージョン)-Forge(Forgeのバージョン).json
-      └ (Minecraftのバージョン)-Forge(Forgeのバージョン).jar
+      └(Minecraftのバージョン)-Forge(Forgeのバージョン).json
+       
   ├ config
   ├ coremods(8.9.0.763以降はmodsフォルダに統合されたので生成されない)
   ├ mods
     └ (Minecraftのバージョン)
   └ libraries
+    └net
+      └minecraftforge
+        └forge
+          └(Forgeのバージョン)
+            └forge-(Forgeのバージョン).jar
 
 #region(close,ver1.5.2以前)
 .minecraft
  ├ bin 
  ├ crash-reports (1度でもminecraftがクラッシュすると生成)
  ├ resources
  ├ saves
  ├ screenshots (1枚でもスクリーンショットを撮ると生成)
  ├ stats
  ├ texturepacks
  ├ texturepacks-mp-cache
 Minecraft Forgeで追加されるフォルダ
  ├ config
  ├ coremods
  ├ mods
  └ lib
 #endregion
 
 :config|
 MODのconfig用ファイル。"Game Directory"でフォルダを指定した場合、指定したフォルダ内に作成される。
 |>|LEFT:BGCOLOR(lightgreen):~forge.cfg|
 |MIDDLE:BGCOLOR(lightblue):B:disableStitchedFileSaving=|trueにすると.minecraftにdebug.stitched_items.png及びdebug.stitched_terrain.pngが生成されなくなる&br()パフォーマンスにも影響するためか、デフォルトでtrueとなっている。|
 |MIDDLE:BGCOLOR(lightblue):B:enableGlobalConfig=|trueにすると対応しているMODのconfigが"global.cfg"にまとめられる&br()対応していないMODのcfgは通常通り生成される|
 
 :coremods|
 8.9.0.762以前にて、一部のmodを導入するときに使う(Not Enough Items、CodeChickenCore、ID Resolver、Treecapitator等)。
 8.9.0.763以降では作成されない。
 
 :lib|
 内部処理用のフォルダ。
 
 :mods|
 Forgeを前提にするMODのほとんどはここにMODの.zipファイルか.jarファイルを置けば機能する。
 "Game Directory"でフォルダを指定した場合、指定したフォルダ内に作成される。
 8.9.0.763以降では、Minecraftのバージョン名でサブフォルダを作成すると、Minecraftのバージョンによって導入するMODを切り分けることも可能。
 
 
 &anchor(forgeinfo)
 *相性問題
 //非常に大量の既存classを書き換える為、基本的に他の『Minecraft.jarに直接導入する』MODとは併用出来ないと思った方が良い。
 //頻出する競合MODの例を以下に示す。
 //これ以外にもminecraft.jarに導入するタイプのMODは常に競合の注意が必要。
 //
 //|MIDDLE:BGCOLOR(lightblue):競合MOD|MIDDLE:BGCOLOR(lightblue):競合内容|MIDDLE:BGCOLOR(lightblue):Forge環境下の代替MOD|
 //|【ModLoader】|使用Class競合|【ForgeModLoader】&br()※同梱MOD|
 //|【AudioMOD】|使用Class競合|【MinecraftForge】&br()※本体機能|
 //|【HD Textures】|使用Class競合|【MinecraftForge】(x128まで)&br()または【OptiFine】|
 //|【Better Than Wolves】|使用Class競合|(代替MODなし)|
 :大量の既存classを書き換える為、基本的にForgeを前提としないMODとは競合すると思って良い。|
 そのようなMODもForge対応版を用意している場合が殆どであるが、対応しているForgeのバージョンに注意する必要がある。
 
 :このMODを前提とするMOD同士で競合する場合もある。|
 多くはBlockIDやItemIDの競合たが、描画改変MODやメニュー改変MOD同士など、まれに機能そのものが競合するMODも存在する。
 その場合は片方のMODを削除するしかない。
 
 :Forgeを前提としていてもForge本体の更新により競合するMODも存在する。|
 これはForgeのバージョンアップと同時に問題が発生し始めたら疑われる原因の1つで、そのMODが使用しているForgeの機能がForge本体の更新により仕様変更されたことで発生する。
 MOD側の更新で解消される事が殆どなのでMOD側の対応を待つか、Forgeをバージョンダウンさせるしかない。
 
 動的難読化解除機能の実装により、ver1.5以降は条件付きではあるが、互換性をほぼ維持できる様になった。
 
 *MinecraftForge導入後のエラーの一例
 導入時は、エラーが出た際にプレイヤーがエラーの解消をしやすいよう、エラー文になんらかのメッセージを出力してくれることがある。ここではその一例と対処法を紹介する。
 以下、***はなんらかの数字、######はMOD名などの文字列を指す。
 
 //状況で分類するか、対応で分類するか、種類で分類するかとかは悩んでいるところです
 **導入関連
 :1.5.2以前で【MinecraftForge】を導入して正常に起動できない場合|
 →[[Minecraft非公式日本ユーザーフォーラム>http://forum.minecraftuser.jp/viewtopic.php?f=6&t=15745]]で詳しく解説されているのでそちらを参照
 
 **ID関連
 :クラッシュしたのち、以下の文が出力される場合|
 |&b(){java.lang.IllegalArgumentException: &font(red){Slot *** is already occupied} by ###### when adding ######}|
 →BlockIDの競合。どちらかのMODのIDをコンフィグから書き換えて回避できる。
 &br()
 |java.lang.RuntimeException: Tried to recreate an item id (*** / shifted:***) for an item which already exists as ######. Check your config and resolve the conflict.|
 →同じIDをBlockIDとItemIDで共用している。現在は同じIDにblockとItemの両方を割り当てる事は出来ない為、このエラーが返される。
 &br()
 |java.lang.RuntimeException: Duplicate stat id: "Unknown stat" and "######" at id ***|
 →実績のIDが被ってしまうときに表示される。コンフィグの再生成で直ることもある。
 &br()
 
 **ワールド/サーバー関連
 :サーバーに接続しようとして、以下の文が表示されて接続できない|
 |Forge Mod Loader could not connect to this server&br()The mods and versions listed below could not be found&br()They are required to play on this server|
 →表示されているMODが不足しているか、バージョンが違うためサーバーに入れない。探して入れてくること。
 
 :ワールド/サーバーに入ろうとして、以下の文が表示され、マルチプレイではサーバーに接続できない|
 |MIDDLE:BGCOLOR(lightblue):共通|>|Forge Mod Loader has found ID mismatches&br()Complete datails are in the log file&br()ID *** is mismatched between world and game&br()ID *** from Mod ###### is missing|
 |MIDDLE:BGCOLOR(lightblue):シングルプレイ|>|Do you wish to continue loading?|
 |~|CENTER:Yes|CENTER:No|
 |MIDDLE:BGCOLOR(lightblue):マルチプレイ|>|You cannot connect to this sever|
 →マルチプレイでは、サーバー側で指定されたIDとクライアント側で指定されたIDが一致しないときに表示される。クライアント側のIDをサーバー側に合わせると解消される。
 →シングルプレイでは、configを作りなおした場合などに、configとワールドでIDが一致しなかった場合に表示される。
  マルチプレイとは違い、無理やりワールドに入ることも出来るが、アイテムやブロックが化けたり消滅したりするなど、不具合が起こる場合がある。
  config側のIDをワールドに合わせると解消される。
 →シングルプレイにて「ID *** from Mod ###### is missing」のみが表示される場合、MODを導入せずにワールドに入ろうとした、
  または、古いバージョンにダウングレードした際にワールドに入ろうとした場合に表示される。
  IDが一致しない場合と同様、無理やりワールドに入ることも出来るが、該当のアイテムやブロックが消滅する。
 →シングルプレイにて、1.4.7以前から1.5以降にアップデート、あるいは逆にダウングレードし、ワールドに入ろうとした際に大量に表示される。
  おそらく動的難読化解除機能が実装された影響。
 
 
 *このMODを前提とするMODの解説ページを編集して下さる方へ
 #region(MODの解説ページを編集して下さる方へ)
 このページにはアンカーがついてます。最近のForgeが高度複雑化している影響もあって導入しようとしている人にこのページを一度は読んでもらいたいので繋いで貰えると有難いです
 導入方法
 -シングルプレイ: #InstallationSSP
 -マルチ(サーバーに入る人用): #InstallationSMP1
 -マルチ(サーバーを建てる人用):#InstallationSMP2
 Forgeの持つ機能
 -オートアサイン:#407
 相性問題   :#forgeinfo
 
 使用例
  [[MOD解説/MinecraftForge>MOD解説/MinecraftForge#InstallationSSP]]
 また、「[[MOD解説/MinecraftForge/MOD解説テンプレート]]」でMOD解説テンプレートを作成中です。ページ作成の際にぜひ活用してください。
 #endregion
 
 
 
 *編集用コメント
 #include(コメント欄方針/テンプレート)
 #region(close,上記の内容を守れる方のみご利用ください。)
 上記の内容を守れる方のみご利用ください。
 #pcomment(reply,enableurl,10,MOD解説/MinecraftForge/コメント)
 [[コメントログ>MOD解説/MinecraftForge/コメント]]
 #endregion

|新しいページ|検索|ページ一覧|RSS|@ウィキご利用ガイド | 管理者にお問合せ
|ログイン|
Wikiのガイドライン
必ずお読みください!

基本事項



プラットフォーム


アイテムデータ



生物



ゲームデータ



ワールド



Tips



ADVANCE



マルチプレイ



リンク




Wiki運営



その他



カウンタ


合計
-

トップページ
今日 : -
昨日 : -

更新履歴


取得中です。
※「ログ」「アーカイブ」「コメント」のページはここの履歴に表示されませんので、「更新履歴」および「コメント」から参照してください

人気ページ